[arch-commits] Commit in gtk-doc/repos/extra-any (4 files)

Jan Steffens heftig at archlinux.org
Tue Aug 6 07:43:27 UTC 2019


    Date: Tuesday, August 6, 2019 @ 07:43:27
  Author: heftig
Revision: 359246

archrelease: copy trunk to extra-any

Added:
  gtk-doc/repos/extra-any/PKGBUILD
    (from rev 359243, gtk-doc/trunk/PKGBUILD)
  gtk-doc/repos/extra-any/fixperms.diff
    (from rev 359243, gtk-doc/trunk/fixperms.diff)
Deleted:
  gtk-doc/repos/extra-any/PKGBUILD
  gtk-doc/repos/extra-any/fixperms.diff

---------------+
 PKGBUILD      |   87 +++++++++++++++++++++++++++-----------------------------
 fixperms.diff |   38 ++++++++++++++++--------
 2 files changed, 69 insertions(+), 56 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-08-06 07:43:26 UTC (rev 359245)
+++ PKGBUILD	2019-08-06 07:43:27 UTC (rev 359246)
@@ -1,44 +0,0 @@
-# Maintainer: Jan de Groot <jgc at archlinux.org>
-
-pkgname=gtk-doc
-pkgver=1.30+1+g44c5972
-pkgrel=2
-pkgdesc="Documentation tool for public library API"
-url="https://www.gtk.org/gtk-doc/"
-arch=(any)
-license=(GPL FDL)
-depends=(docbook-xsl docbook-xml glib2-docs python-lxml python-pygments
-         python-anytree)
-makedepends=(dblatex git yelp-tools meson)
-checkdepends=(bc gtk3 python-six python-parameterized)
-optdepends=('dblatex: PDF support')
-_commit=44c5972b167176f15cc32fc46743b596b7f00fe5  # master~2
-source=("git+https://gitlab.gnome.org/GNOME/gtk-doc.git#commit=$_commit"
-        fixperms.diff)
-sha256sums=('SKIP'
-            'bd8489e54c2e089197a692482c6f25b237b99db2b0419c4dcc3f29ce6f21e7e4')
-
-pkgver() {
-  cd $pkgname
-  git describe --tags | sed -e 's/GTK_DOC_//' -e 's/_/\./g' -e 's/-/+/g'
-}
-
-prepare() {
-  cd $pkgname
-  # https://gitlab.gnome.org/GNOME/gtk-doc/issues/84
-  patch -Np1 -i ../fixperms.diff
-}
-
-build() {
-  arch-meson $pkgname build
-  ninja -C build
-}
-
-check() {
-  # Tests don't work yet
-  meson test -C build --print-errorlogs || :
-}
-
-package() {
-  DESTDIR="$pkgdir" meson install -C build
-}

Copied: gtk-doc/repos/extra-any/PKGBUILD (from rev 359243, gtk-doc/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-08-06 07:43:27 UTC (rev 359246)
@@ -0,0 +1,43 @@
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=gtk-doc
+pkgver=1.31
+pkgrel=1
+pkgdesc="Documentation tool for public library API"
+url="https://www.gtk.org/gtk-doc/"
+arch=(any)
+license=(GPL FDL)
+depends=(docbook-xsl docbook-xml glib2-docs python-lxml python-pygments
+         python-anytree)
+makedepends=(dblatex git yelp-tools meson)
+checkdepends=(bc gtk3 python-six python-parameterized)
+optdepends=('dblatex: PDF support')
+_commit=c268fa535424d193953487c694e2a8f770d3255f  # tags/GTK_DOC_1_31^0
+source=("git+https://gitlab.gnome.org/GNOME/gtk-doc.git#commit=$_commit"
+        fixperms.diff)
+sha256sums=('SKIP'
+            '6264dc71d0c21f46c139691bf4ea98dd404549f8e4f93a45e93a3ee47753e2d4')
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed -e 's/GTK_DOC_//' -e 's/_/\./g' -e 's/-/+/g'
+}
+
+prepare() {
+  cd $pkgname
+  patch -Np1 -i ../fixperms.diff
+}
+
+build() {
+  arch-meson $pkgname build
+  ninja -C build
+}
+
+check() {
+  # Tests don't work yet
+  meson test -C build --print-errorlogs || :
+}
+
+package() {
+  DESTDIR="$pkgdir" meson install -C build
+}

Deleted: fixperms.diff
===================================================================
--- fixperms.diff	2019-08-06 07:43:26 UTC (rev 359245)
+++ fixperms.diff	2019-08-06 07:43:27 UTC (rev 359246)
@@ -1,12 +0,0 @@
-diff --git i/gtkdoc/highlight.py w/gtkdoc/highlight.py
-index 8f6e470..82e11e8 100644
---- i/gtkdoc/highlight.py
-+++ w/gtkdoc/highlight.py
-@@ -47,6 +47,6 @@ def highlight_code(code, lang='c'):
- 
- 
- def append_style_defs(css_file_name):
--    os.chmod(css_file_name, stat.S_IWRITE)
-+    os.chmod(css_file_name, 0o644)
-     with open(css_file_name, 'at', newline='\n', encoding='utf-8') as css:
-         css.write(HTML_FORMATTER.get_style_defs())

Copied: gtk-doc/repos/extra-any/fixperms.diff (from rev 359243, gtk-doc/trunk/fixperms.diff)
===================================================================
--- fixperms.diff	                        (rev 0)
+++ fixperms.diff	2019-08-06 07:43:27 UTC (rev 359246)
@@ -0,0 +1,26 @@
+diff --git i/gtkdoc/highlight.py w/gtkdoc/highlight.py
+index ba1c601..226aa12 100644
+--- i/gtkdoc/highlight.py
++++ w/gtkdoc/highlight.py
+@@ -46,6 +46,9 @@ def highlight_code(code, lang='c'):
+ 
+ 
+ def append_style_defs(css_file_name):
+-    os.chmod(css_file_name, 0o644)
++    try:
++        os.chmod(css_file_name, 0o644)
++    except OSError:
++        pass
+     with open(css_file_name, 'at', newline='\n', encoding='utf-8') as css:
+         css.write(HTML_FORMATTER.get_style_defs())
+diff --git i/meson.build w/meson.build
+index 85e83ca..5e4d288 100644
+--- i/meson.build
++++ w/meson.build
+@@ -1,5 +1,5 @@
+ project('gtk-doc', 'c',
+-  version: '1.30.1',
++  version: '1.31',
+   license: 'GPL2+',
+   meson_version: '>= 0.50.0', # needed for https://mesonbuild.com/Python-module.html#path
+ )


More information about the arch-commits mailing list